{% raw %}global:
  config_version: 3
imports:
  - type: grok_patterns
    dir: /etc/grok_exporter/patterns
input:
    type: file
    paths: 
      - /var/log/aprx/aprx-rf.log
      - /var/log/aprx/aprx.log
    readall: false
    fail_on_missing_logfile: true
metrics:
  - type: counter
    name: aprs_packets
    help: Counter metric example with labels.
    match: "%{TIMESTAMP_ISO8601:logtime}%{SPACE}%{NOTSPACE:source_interface}%{SPACE}%{WORD:txrx}%{SPACE}%{NOTSPACE:source}>%{DATA:destination},%{DATA:path}:%{GREEDYDATA:message}"
    retention: 72h
    labels:
      source_interface: "{{.source_interface}}"
      txrx: "{{.txrx}}"
      source: "{{.source}}"
      # destination: "{{.destination}}"
      # path: "{{.path}}"
server:
  port: 9144
{% endraw %}